<h1 class="mat-headline">{{ 'simple.login' | translate }}</h1>
<form [formGroup]="form" (ngSubmit)="onSubmit()">
	<mat-form-field appearance="outline">
		<mat-label>{{ 'simple.username' | translate }}</mat-label>
		<input matInput autofocus formControlName="username" autocomplete="username" maxlength="100" autocorrect="off" autocapitalize="none" />
		<mat-error>{{ getUsernameErrors() }}</mat-error>
	</mat-form-field>
	<mat-form-field appearance="outline">
		<mat-label>{{ 'simple.password' | translate }}</mat-label>
		<input
			matInput
			formControlName="password"
			type="password"
			autocomplete="password"
			maxlength="50"
			autocorrect="off"
			autocapitalize="none"
		/>
		<mat-error>{{ getPasswordErrors() }}</mat-error>
	</mat-form-field>
	<button mat-raised-button type="submit" class="submit" color="primary" [disabled]="form.invalid">{{ 'simple.login' | translate }}</button>
	<div>
		<button mat-button routerLink="/authentication/register">{{ 'simple.register' | translate }}</button>
	</div>
</form>
<button mat-raised-button color="primary" routerLink="/core/home">Primary</button>
